%global pkgvers 0
%global scdate0 20250610
%global schash0 6e3a9e150fb006dabc4b55043d3af18dbfecd7e8
%global branch0 master
%global source0 https://github.com/m-labs/migen.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           migen
Summary:        A Python toolbox for building complex digital hardware
Version:        0.9.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
BuildArch:      noarch
License:        BSD

URL:            https://github.com/m-labs/migen

BuildRequires:  cmake gcc-c++ git
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-devel python3-setuptools python3-sphinx

BuildRequires:  texlive-mfware texlive-capt-of python3-colorama
BuildRequires:  texlive-latex texlive-makeindex texlive-metafont python3-sphinx texlive-upquote
BuildRequires:  latexmk texlive-ec texlive-url texlive-cm texlive-latexconfig texlive-parskip texlive-gsftopk
BuildRequires:  texlive-titlesec texlive-babel texlive-cmap texlive-fancyhdr texlive-framed texlive-times texlive-tex4ht
BuildRequires:  texlive-fncychap texlive-tex-gyre texlive-babel-english texlive-tabulary texlive-needspace texlive-courier
BuildRequires:  texlive-graphics texlive-graphics-cfg texlive-graphics-def texlive-wrapfig texlive-helvetic texlive-texlive-scripts
%if 0%{?fedora}
BuildRequires:  texlive-auxhook texlive-bigintcalc texlive-bitset
BuildRequires:  texlive-hycolor texlive-infwarerr texlive-kvsetkeys
BuildRequires:  texlive-l3backend texlive-letltxmacro texlive-oberdiek
BuildRequires:  texlive-hyperref texlive-iftex texlive-mptopdf
BuildRequires:  texlive-intcalc texlive-kvdefinekeys texlive-kvoptions
BuildRequires:  texlive-ltxcmds texlive-pdfescape texlive-pdftexcmds
BuildRequires:  texlive-epstopdf-pkg texlive-etexcmds texlive-gettitlestring
BuildRequires:  texlive-refcount texlive-rerunfilecheck texlive-uniquecounter
%endif


%description
A Python toolbox for building complex digital hardware

%package        python3
Summary:        A Python toolbox for building complex digital hardware
Provides:       migen

%description    python3
A Python toolbox for building complex digital hardware


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
# python
echo "import setuptools; setuptools.setup(packages=setuptools.find_packages(), name='migen', version='%{version}')" > setup.py


%build
%py3_build


%install
%py3_install
# install docs
export PYTHONPATH=%{buildroot}/%{python3_sitelib}
pushd doc
make latexpdf LATEXMKOPTS="-f -interaction=nonstopmode" || true
popd


%files python3
%doc README.md
%doc examples
%if 0%{?fedora}
%doc doc/_build/latex/Migen.pdf
%endif
%license LICENSE
%{python3_sitelib}/*


%changelog
* Fri Nov 01 2019 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
